Package org.codehaus.groovy.binding

## Class PropertyChangeProxyTargetBinding

- java.lang.Object
- - org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

- All Implemented Interfaces:
    `TargetBinding`

      @Deprecated
      public class PropertyChangeProxyTargetBinding
      extends Object
      implements TargetBinding

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyChangeProxyTargetBinding​(Object proxyObject, String propertyName, PropertyChangeListener listener)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateTargetValue​(Object value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeProxyTargetBinding

          public PropertyChangeProxyTargetBinding​(Object proxyObject,
                                                  String propertyName,
                                                  PropertyChangeListener listener)

      Deprecated.

  - ### Method Detail

    - #### updateTargetValue

          public void updateTargetValue​(Object value)

      Deprecated.
      Specified by:
        `updateTargetValue` in interface `TargetBinding`